Skip to main content
PATCH
Copy of Dispute a chargeback
This endpoint allows you to add additional evidence to an existing dispute after it has been submitted. Use this endpoint when you need to provide supplementary documentation to support your dispute case. The payment must already have a transaction of type CHARGEBACK in status CREATED or ADDITIONAL_INFORMATION_REQUIRED. Otherwise the API answers 400 INVALID_TRANSACTION. The request body holds only the evidence array.
Important
  • Chargeback status: Updating evidence does not change the chargeback status. The chargeback status remains unchanged regardless of whether additional evidence is added.
  • Provider support: Not all payment providers support updating disputes after they have been submitted. If a provider does not support updates, the endpoint will return a controlled error with an UPPER_SNAKE_CASE error code (e.g., UPDATE_NOT_SUPPORTED), and the chargeback status will remain unchanged.
  • Error handling: If you receive a 404 error indicating the provider doesn’t support the update flow, the chargeback status will remain the same, and you will receive a controlled error response with a descriptive error code and message.
Evidence requirementsThe uploaded files must meet the following criteria:Format: File must be in PDF format, encoded as base64.
Size: File must be no larger than 1 MB in size.
Language: Dispute should be written in English or the country’s local language.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required
X-Idempotency-Key
string
header
default:<Your X-Idempotency-Key>
required

Headers

X-Idempotency-Key
string
required

Unique identifier used in HTTP headers to ensure that a request is processed only once, even if it is retried due to network issues or timeouts.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Path Parameters

payment_id
string
required

The unique identifier of the payment (UUID, 36 chars).

transaction_id
string
required

The unique identifier of the transaction (UUID, 36 chars).

Body

application/json
evidence
object[]
required

The evidence files object

Response

200 - application/json

200

id
string
Example:

"b001d824-3f3f-48fc-98ef-a3114b918c1e"

account_id
string
Example:

"210a524f-7ad3-437a-be7e-9e99bdf4d742"

description
string
Example:

"Test Purchase"

country
string
Example:

"AR"

status
string
Example:

"IN_DISPUTE"

sub_status
string
Example:

"PENDING_REVIEW"

merchant_order_id
string
Example:

"65742358"

created_at
string
Example:

"2025-11-26T20:34:08.330622Z"

updated_at
string
Example:

"2025-11-26T20:34:12.580560Z"

amount
object
discount_amount
object

The total discount of the Yuno promotion applied to the payment: the sum of the YUNO_PROMOTION lines of additional_data.order.discounts. Absent when no promotion applied. The amount charged is amount.value minus this value, and it is on transactions.amount. See Promotions.

checkout
any
payment_method
object
customer_payer
object
additional_data
object
transactions
object
transactions_history
any
split_marketplace
object[]
callback_url
string
Example:

"https://example.com/callback"

workflow
string
Example:

"DIRECT"

metadata
object[]
fraud_screening
any
Example:

""

subscription_code
any
routing_rules
object
simplified_mode
boolean
default:true
Example:

false